Update Service Request: MRI
https://api.propexo.com/v1/service-requests/mri/:service_request_id| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_CreateResidentialServiceRequestsX5 |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the resident
A description of the service request
Details about the service request
The date the service request was created
Show 2 variants
The status associated with the service request
Show 13 enum values
ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULEDWhether or not the tenant has granted permission to enter the unit associated with the service request
The priority level associated with the service request
Show 3 enum values
HIGHMEDIUMLOWWhether there are pets associated with the unit
Whether there is an alarm associated with the unit
Closing notes associated with the service request
The date of entry for the service request
Show 2 variants
The date the service request is scheduled
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the service request
The Propexo unique identifier for the resident
A description of the service request
Details about the service request
The date the service request was created
Show 2 variants
The status associated with the service request
Show 13 enum values
ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULEDWhether or not the tenant has granted permission to enter the unit associated with the service request
The priority level associated with the service request
Show 3 enum values
HIGHMEDIUMLOWWhether there are pets associated with the unit
Whether there is an alarm associated with the unit
Closing notes associated with the service request
The date of entry for the service request
Show 2 variants
The date the service request is scheduled
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/mri/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"resident_id": "string",
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "ACCEPTED",
"access_is_authorized": true,
"service_priority": "HIGH",
"has_pets": true,
"has_alarm": true,
"completion_notes": "string",
"date_entered": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z"
}
}